Bug 210018 - lang/maude: Update MASTER_SITES and UNBREAK
Summary: lang/maude: Update MASTER_SITES and UNBREAK
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-06-04 10:35 UTC by Keith Gaughan
Modified: 2016-11-11 07:08 UTC (History)
2 users (show)

See Also:


Attachments
MASTER_SITES fix. (704 bytes, text/plain)
2016-06-04 10:35 UTC, Keith Gaughan
no flags Details
Also bump PORTREVISION, remove commented out BROKEN/DEPRECATED lines. (645 bytes, patch)
2016-06-04 10:42 UTC, Keith Gaughan
vlad-fbsd: maintainer-approval+
Details | Diff
fix fetching lang/maude (1.57 KB, patch)
2016-11-08 21:55 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Gaughan 2016-06-04 10:35:16 UTC
Created attachment 171001 [details]
MASTER_SITES fix.

Essentially, this changes the hostname from maude.cs.uiuc.edu to maude.cs.illinois.edu, which fixes fetching.

Full Maude is still an issue: the version being fetched currently is a patched version, not the original 2.6 version. The real solution to this is to switch to Maude 2.7, which I'm hoping to do if this patch is accepted when I have some free time.
Comment 1 Keith Gaughan 2016-06-04 10:38:37 UTC
I just realised that I forgot to bump PORTREVISION, so that'll have to be bumped after the patch is applied.
Comment 2 Keith Gaughan 2016-06-04 10:42:27 UTC
Created attachment 171002 [details]
Also bump PORTREVISION, remove commented out BROKEN/DEPRECATED lines.

Fixes with the previous patch.
Comment 3 VK freebsd_triage 2016-06-04 15:31:32 UTC
Thanks for the patches, folks. Please note that changing MASTER_SITES and/or unbreaking does not require PORTREVISION bump. Please also note the upstream has new version, 2.7.

Can anyone confirm this passes tests like portlint and porttools or poudriere?
Comment 4 VK freebsd_triage 2016-06-04 15:32:38 UTC
Keith, sorry I meant you. For some reason I saw several people commenting... :)
Comment 5 Keith Gaughan 2016-06-04 22:28:10 UTC
I'd ran portlint over it and the only issues were ones that either can't be solved (relating to DISTFILES and EXTRACT_ONLY for Full Maude), are better solved in a separate patch (these are to do with the patch file format, and are likely to change if I get Maude 2.7 ported anyway), or low priority (the pkg-descr file is one line too long).

I also managed to build it cleanly with synth.

You can apply the patch while reverting the revision bump.

I'm aware that the 2.7 is the current upstream version, but unfortunately that doesn't build out of the box on FreeBSD, so, like 2.6, it needs to be patched. Most of the 2.6 patches do not apply cleanly to the 2.7 source tree.
Comment 6 VK freebsd_triage 2016-06-05 00:16:58 UTC
Great, thanks!
Comment 7 VK freebsd_triage 2016-06-05 00:18:08 UTC
Comment on attachment 171002 [details]
Also bump PORTREVISION, remove commented out BROKEN/DEPRECATED lines.

The port has no maintainer, implicit approval.
Comment 8 Jason Unovitch freebsd_committer 2016-06-05 22:59:29 UTC
Hi,
This is still BROKEN because one of the distfiles doesn't fetch.  We can only unbreak it when everything fetches without restoring to FreeBSD's distcache.

=> Attempting to fetch http://maude.cs.illinois.edu/versions/2.6/Maude-2.6.tar.gz
Maude-2.6.tar.gz                              100% of 1562 kB 1498 kBps 00m01s
=> full-maude26b.maude.zip doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://maude.lcc.uma.es/FullMaude/FM26b/full-maude26b.maude.zip
fetch: http://maude.lcc.uma.es/FullMaude/FM26b/full-maude26b.maude.zip: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/full-maude26b.maude.zip
full-maude26b.maude.zip                       100% of  151 kB  985 kBps 00m00s
Comment 9 Rene Ladan freebsd_committer 2016-11-08 21:55:07 UTC
Created attachment 176802 [details]
fix fetching lang/maude

No need to bump PORTREVISION
Comment 10 commit-hook freebsd_committer 2016-11-08 22:16:54 UTC
A commit references this bug:

Author: rene
Date: Tue Nov  8 22:16:43 UTC 2016
New revision: 425771
URL: https://svnweb.freebsd.org/changeset/ports/425771

Log:
  lang/maude: fix fetching and unexpire

  The MASTER_SITES was changed and so was the name of one distfile, the
  contents remained the same.

  PR:		210018
  Submitted by:	Keith Gaughan <k@stereochro.me>
  MFH:		2016Q4

Changes:
  head/lang/maude/Makefile
  head/lang/maude/distinfo
Comment 11 Rene Ladan freebsd_committer 2016-11-08 22:18:33 UTC
Committed a slightly different fixed version.

Please open a new PR if anyone feels like porting Maude 2.7
Comment 12 commit-hook freebsd_committer 2016-11-11 07:08:35 UTC
A commit references this bug:

Author: rene
Date: Fri Nov 11 07:08:03 UTC 2016
New revision: 425867
URL: https://svnweb.freebsd.org/changeset/ports/425867

Log:
  MFH: r425771

  lang/maude: fix fetching and unexpire

  The MASTER_SITES was changed and so was the name of one distfile, the
  contents remained the same.

  PR:		210018
  Submitted by:	Keith Gaughan <k@stereochro.me>

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/lang/maude/Makefile
  branches/2016Q4/lang/maude/distinfo